Bug 1461768 - (CVE-2017-9439) CVE-2017-9439 ImageMagick: Memory leak in the ReadPDBImage function
CVE-2017-9439 ImageMagick: Memory leak in the ReadPDBImage function
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170428,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 05:40 EDT by Andrej Nemec
Modified: 2017-06-15 05:50 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-15 05:50:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-06-15 05:40:03 EDT
In ImageMagick a memory leak was found in the function ReadPDBImage in coders/pdb.c, which allows attackers to cause a denial of service via a crafted file.

Upstream issue:

https://github.com/ImageMagick/ImageMagick/issues/460

Upstream patch:

https://github.com/ImageMagick/ImageMagick/commit/6c6abed989ea4a3ef472db65ab487c1809a3a718

Note You need to log in before you can comment on or make changes to this bug.